com.lowagie.text.pdf

## Class PdfResources

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfDictionary
    - - com.lowagie.text.pdf.PdfResources

-      class PdfResources
      extends PdfDictionary

  `PdfResources` is the PDF Resources-object.

  The marking operations for drawing a page are stored in a stream that is the value of the Contents key in the Page object's dictionary. Each marking context includes a list of the named resources it uses. This resource list is stored as a dictionary that is the value of the context's Resources key, and it serves two functions: it enumerates the named resources in the contents stream, and it established the mapping from the names to the objects used by the marking operations.
  This object is described in the 'Portable Document Format Reference Manual version 1.3' section 7.5 (page 195-197).

  See Also:
    `PdfPage`

- - ### Field Summary

    - ### Fields inherited from class com.lowagie.text.pdf.PdfDictionary

      `CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

    - ### Fields inherited from class com.lowagie.text.pdf.PdfObject

      `ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfResources()` Constructs a PDF ResourcesDictionary.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `add(PdfName key, PdfDictionary resource)`

    - ### Methods inherited from class com.lowagie.text.pdf.PdfDictionary

      `contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

    - ### Methods inherited from class com.lowagie.text.pdf.PdfObject

      `canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PdfResources

          PdfResources()

      Constructs a PDF ResourcesDictionary.

  - ### Method Detail

    - #### add

          void add(PdfName key,
                 PdfDictionary resource)